### Signal

# Gdk Surface::render

#### Declaration

    gboolean
    render (
      GdkSurface self,
      const cairo_region_t* region,
      gpointer user_data
    )

#### Description [src]

Emitted when part of the surface needs to be redrawn.

Default handler: | The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`region` | `const cairo_region_t*`
| The region that needs to be redrawn.
| The data is owned by the caller of the function.

#### Return value

Returns: | `gboolean`
| `TRUE` to indicate that the signal has been handled.